Subject: Re: bug#14802: 24.3.50; (elisp) Multiple Terminals - what is a terminal attribute?

From: Eli Zaretskii <[email-masked]>
Date: Mon, 10 Feb 2014 21:52:26 +0200

> Date: Mon, 10 Feb 2014 11:27:58 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > I really don't understand the purpose of this bug report, because
> > this very node is the answer to all your questions and gripes.  It
> > includes:
> > 
> >   . a full list of the attributes of a terminal object (directly
> >     below the single sentence you cited in your report)
> >   . documentation of functions that access those attributes, and
> >   . references to other nodes where related features and issues are
> >     described
> 
> So you _are_ saying that "terminal attribute" is a term and concept
> being introduced, and we are not just using the English word
> "attribute" in a general sense.

It's not a term or concept, no.  It's a word.

> In that case, please put it in quotes, as we usually do for a term
> introduction.

It's not a term.

> And, as this bug report requests, say something about what it is, if
> you can - what the term means.  Listing values is not really a
> substitute for that.

Yes, it is.  Because it's not a term.

> > I see nothing wrong with the word "attribute".  In this very manual,
> > we have:
> > 
> >   . text attributes
> >   . face attributes
> >   . file attributes
> >   . package attributes
> >   . process attributes
> > 
> > What's wrong with having "terminal object attributes"?
> 
> Nothing.  Say what you mean by the term, as we do for each of
> the others you cited.

We don't.

> And index it.

It's not a term, so no need to index it.

> Or follow `i package attribute', to see:
> 
>   Each package (whether simple or multi-file) has certain
>   "attributes":

Which is exactly what we say about terminal attributes.

> (That one is a minimal description - it just introduces particular
> attributes without saying what is meant by the term.  But at least
> it introduces the term explicitly.)

It's not a term.

> BTW, "attributes of text" is in the index, but "text attribute"
> should also be added.

Yes, we should also index "text", and perhaps also "index", because
otherwise who knows what these mean?

> * The term "file attribute" also should be introduced explicitly,
>   in node `File Attributes'.  E.g.:
> 
>     ...detailed information about a file, including the owner and
>     group numbers, the number of names, the inode number, the size,
>     and the times of access and modification.
> 
>   Add something like this: `These characteristics are referred to as
>   "file attributes".'
> 
> * "Process attribute" is also not introduced explicitly, in node
>   `System Processes'.  Also, although function `process-attributes'
>   is indexed, `process attribute' is not.

Like I said: terminal attributes are not special.

Closing, as there's nothing more to be said here, and no bug anywhere
in sight.